# Verify signature of undeployed account

In order to verify the signature of an undeployed account, you will need to provide a flag to Ready Wallet which will let users sign with their undeployed account:

&#x20;Pass `skipDeploy=true` in the `signMessage`

```javascript
account.signMessage(
    {
      domain: {
        name: "Example DApp",
        chainId: windowStarknet.chainId,
        version: "0.0.1",
      },
      types: {
        StarkNetDomain: [
          { name: "name", type: "felt" },
          { name: "chainId", type: "felt" },
          { name: "version", type: "felt" },
        ],
        Message: [{ name: "message", type: "felt" }],
      },
      primaryType: "Message",
      message: {
        message,
      },
    },
    // @ts-ignore
    { skipDeploy: true },
  )
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ready.co/ready-wallets/ready-wallet/verify-signature-of-undeployed-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
